# Class PointsLayer

java.lang.Object
com.codename1.maps.layers.AbstractLayer
com.codename1.maps.layers.PointsLayer

All Implemented Interfaces:
  `Layer, ActionSource`

public class PointsLayer extends AbstractLayer implements ActionSource
This is a Points Layer

- ## Field Summary

  ### Fields inherited from class AbstractLayer

  `name, projection`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PointsLayer()`
  Constructor with default projection Mercator.
  `PointsLayer(Projection p, String name)`
  Constructor with custom projection and layer name.
  `PointsLayer(String name)`
  Constructor with default projection Mercator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addActionListener(ActionListener l)`
  Adds a listener to the Points Layer which will cause an event to dispatch on click the ActionEvent will contain the pressed PointLayer unprojected
  `void`
  `addPoint(PointLayer point)`
  Adds a point to the PointsLayer
  `BoundingBox`
  `boundingBox()`
  The bounding box of this Layer
  `void`
  `fireActionEvent(BoundingBox box)`
  Trigger an event for the points that in contained in the BoundingBox
  `void`
  `paint(Graphics g, Tile tile)`
  Paints the Layer on the given Graphics
  `void`
  `removeActionListener(ActionListener l)`
  Removes the given action listener Points Layer
  `void`
  `removePoint(PointLayer point)`
  Removes a point from the PointsLayer
  `void`
  `setPointIcon(Image icon)`
  Sets the Points icon

  ### Methods inherited from class AbstractLayer

  `getName, getProjection`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PointsLayer

    public PointsLayer()
    Constructor with default projection Mercator.

  - ### PointsLayer

    public PointsLayer(String name)
    Constructor with default projection Mercator.

  - ### PointsLayer

    public PointsLayer(Projection p, String name)
    Constructor with custom projection and layer name.

- ## Method Details

  - ### setPointIcon

    public void setPointIcon(Image icon)

    Sets the Points icon

    ###### Parameters

    - `icon`

  - ### paint

    public void paint(Graphics g, Tile tile)

    Paints the Layer on the given Graphics

    ###### Parameters

    - `g`: a Graphics Object to paint on

    - `screenTile`: the screen tile

    Specified by:
      `paint` in interface `Layer`

  - ### addPoint

    public void addPoint(PointLayer point)

    Adds a point to the PointsLayer

    ###### Parameters

    - `point`: a point to add

  - ### removePoint

    public void removePoint(PointLayer point)

    Removes a point from the PointsLayer

    ###### Parameters

    - `point`: to remove from the PointsLayer

  - ### boundingBox

    public BoundingBox boundingBox()

    The bounding box of this Layer

    ###### Returns

    the Layer bounding box

    Specified by:
      `boundingBox` in interface `Layer`
    Specified by:
      `boundingBox` in class `AbstractLayer`

  - ### addActionListener

    public void addActionListener(ActionListener l)

    Adds a listener to the Points Layer which will cause an event to dispatch on click the ActionEvent will contain the pressed PointLayer unprojected

    ###### Parameters

    - `l`: implementation of the action listener interface
    Specified by:
      `addActionListener` in interface `ActionSource`

  - ### removeActionListener

    public void removeActionListener(ActionListener l)

    Removes the given action listener Points Layer

    ###### Parameters

    - `l`: implementation of the action listener interface
    Specified by:
      `removeActionListener` in interface `ActionSource`

  - ### fireActionEvent

    public void fireActionEvent(BoundingBox box)

    Trigger an event for the points that in contained in the BoundingBox

    ###### Parameters

    - `box`: the BoundingBox to trigger event.